// CTexture.h
// by Comanche

#include "defines.h"

#ifndef CTEXTURE
#define CTEXTURE

//////////////////////////////////////////////////////////////////////////////////

struct BITMAP_FILE
{
	BITMAPFILEHEADER bitmapfileheader;  
    BITMAPINFOHEADER bitmapinfoheader;  
    PALETTEENTRY     palette[256];     
	BYTE		     *buffer;
};

//////////////////////////////////////////////////////////////////////////////////

class CTexture
{
public:
	CTexture(char *filename);
	~CTexture();
	RGBTRIPLE GetPixel(int x,int y);
	BYTE isfailure;
	LONG width,height;
	WORD bitcount;
	char Name[255];
private:
	int tfh;
	OFSTRUCT file_data;
	char buffer[80];
	BITMAP_FILE bitmap;
};

#endif